## nncp 8.5.0

=== ports/nncp/Makefile ===
PORTNAME=	nncp
DISTVERSION=	7.6.0
CATEGORIES=	net
MASTER_SITES=	http://www.nncpgo.org/download/

MAINTAINER=	stargrave@stargrave.org
COMMENT=	Utilities for secure store-and-forward files, mail, command exchanging

LICENSE=	GPLv3
LICENSE_FILE=	${WRKSRC}/COPYING

USES=		go:modules,no_targets tar:xz

USE_RC_SUBR=	nncp-caller nncp-daemon nncp-toss

MAKE_ARGS=	INFODIR=${STAGEDIR}${PREFIX}/${INFO_PATH}
MAKE_ENV=	${GO_ENV}
INSTALL_TARGET=	install-strip

SUB_FILES=	pkg-message pkg-install pkg-deinstall

INFO=		nncp
PORTDOCS=	AUTHORS NEWS NEWS.RU README README.RU THANKS

OPTIONS_DEFINE=	DOCS

post-install:
	${MKDIR} ${STAGEDIR}${PREFIX}/etc/newsyslog.conf.d
	${INSTALL_DATA} ${FILESDIR}/nncp.newsyslog.conf.sample ${STAGEDIR}${PREFIX}/etc/nncp.conf.sample

.include <bsd.port.mk>

## nncp 8.0.2

=== debian/changelog ===
nncp (8.0.2-1~bpo10+3) buster-backports-sloppy; urgency=medium

  * Rebuild for buster.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 15 Jan 2022 04:19:04 +0000

nncp (8.0.2-1~bpo10+2) buster-backports-sloppy; urgency=medium

  * Change build-dep from golang-any to glang-go.  buildds were
    installing gccgo and builds were failing due to this.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 12 Jan 2022 16:20:09 +0000

nncp (8.0.2-1~bpo10+1) buster-backports-sloppy; urgency=medium

  * Rebuild for buster-backports.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 10 Nov 2021 07:13:59 -0500

nncp (8.0.2-1) unstable; urgency=medium

  * New upstream release

 -- John Goerzen <jgoerzen@complete.org>  Wed, 10 Nov 2021 07:07:26 -0600

nncp (8.0.0-1) unstable; urgency=medium

  * New upstream release

 -- John Goerzen <jgoerzen@complete.org>  Mon, 08 Nov 2021 06:47:10 -0600

nncp (7.7.0-4) unstable; urgency=medium

  * Another attempt to raise the test timeout
  * Adjust homedir-creation logic

 -- John Goerzen <jgoerzen@complete.org>  Tue, 21 Sep 2021 07:27:14 -0500

nncp (7.7.0-3) unstable; urgency=medium

  * Increase test timeouts to deal with timeout on 32-bit arm buildds.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 20 Sep 2021 22:20:35 -0500

nncp (7.7.0-2) unstable; urgency=medium

  * Add new build-dep: fsnotify

 -- John Goerzen <jgoerzen@complete.org>  Mon, 20 Sep 2021 17:32:57 -0500

nncp (7.7.0-1) unstable; urgency=medium

  * New upstream release
  * Add missing build-dep on recfile

 -- John Goerzen <jgoerzen@complete.org>  Mon, 20 Sep 2021 09:33:48 -0500

nncp (7.6.0-1) unstable; urgency=medium

  * Initial release (Closes: #942689)

 -- John Goerzen <jgoerzen@complete.org>  Sun, 05 Sep 2021 02:01:25 +0000

=== debian/control ===
Source: nncp
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: John Goerzen <jgoerzen@complete.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12), pandoc, texinfo, plantuml,
               dh-golang (>= 1.50),
               golang-go (>= 2:1.14),
               golang-github-davecgh-go-xdr-dev,
               golang-github-dustin-go-humanize-dev (>= 1.0.0),
               golang-github-fsnotify-fsnotify-dev (>= 1.4.9),
               golang-github-flynn-noise-dev,
               golang-github-gorhill-cronexpr-dev,
               golang-github-hjson-hjson-go-dev,
               golang-github-klauspost-compress-dev (>= 1.13.6),
               golang-go.cypherpunks-balloon-dev,
               golang-go.cypherpunks-recfile-dev,
               golang-golang-x-crypto-dev (>= 1:0.0~git20201016),
               golang-golang-x-net-dev (>= 1:0.0~git20210119),
               golang-golang-x-sys-dev (>= 0.0~git20210124),
               golang-golang-x-term-dev (>= 0.0~git20201210),
               golang-lukechampine-blake3-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/nncp
Vcs-Git: https://salsa.debian.org/go-team/packages/nncp.git
Homepage: http://www.nncpgo.org/
Rules-Requires-Root: no
XS-Go-Import-Path: go.cypherpunks.ru/nncp/v7

Package: nncp
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}, adduser
Built-Using: ${misc:Built-Using}
Suggests: hjson-go
Description: Secure store-and-forward files, mail, and commands
 NNCP is a package facilitating secure store-and-forward file and mail
 exchange.  It can be thought of as a modern UUCP with Internet smarts.
 .
 NNCP supports direct online communication over a LAN or Internet,
 scheduled communication, offline copies, streaming communication
 (pipes), and more.  It can therefore be used for air-gapped computers
 that might be communicated with by CD-ROM, tape, or USB stick.  It can
 also be used for intermittent or on-demand links, very slow or high
 latency links, etc.
 .
 NNCP can build up ad-hoc friend-to-friend (F2F) statically routed,
 darknet, delay-tolerant networks for fire-and-forget secure reliable
 files, file requests, Internet mail and commands transmission. All 
 packets are integrity checked, end-to-end encrypted, explicitly
 authenticated by known participants public keys. Onion encryption is
 applied to relayed packets. Each node acts both as a client and server, can
 use push and poll behaviour model. Also there is multicasting areas support.
 .
 Out-of-box offline sneakernet/floppynet, dead drops, sequential and append-only
 CD-ROM/tape storages, air-gapped computers support. But online TCP daemon with
 full-duplex resumable data transmission exists.

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX = /usr

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

# Fix for the problem of the files being in nncp/v7/src but not looking for
# them there.
override_dh_auto_build:
	#mkdir -p _build/src/go.cypherpunks.ru/nncp/v7
	#cp -r src/* _build/src/go.cypherpunks.ru/nncp/v7/
	#ln -s src/uilive _build/src/go.cypherpunks.ru/nncp/v7/uilive
	mv -vi _build/src/go.cypherpunks.ru/nncp/v7/src/* _build/src/go.cypherpunks.ru/nncp/v7/
	ln -s v7 _build/src/go.cypherpunks.ru/nncp/v8
	dh_auto_build
	pandoc --standalone --to man debian/nncp.1.md -o debian/nncp.1
	cd doc && plantuml -tutxt -pipe < sp.plantuml > sp.plantuml.txt
	cd doc && makeinfo -D "VERSION `perl -ne 'print "$$1\n" if /Version.* = "(.*)"$$/' < ../src/nncp.go`" \
		--set-customization-variable SECTION_NAME_IN_TITLE=1 \
		--set-customization-variable TREE_TRANSFORMATIONS=complete_tree_nodes_menus \
		--set-customization-variable CLOSE_QUOTE_SYMBOL=\" \
		--set-customization-variable OPEN_QUOTE_SYMBOL=\" \
		--output nncp.info index.texi
	cd doc && makeinfo -D "VERSION `perl -ne 'print "$$1\n" if /Version.* = "(.*)"$$/' < ../src/nncp.go`" \
	   	--set-customization-variable SECTION_NAME_IN_TITLE=1 \
		--set-customization-variable TREE_TRANSFORMATIONS=complete_tree_nodes_menus \
		--set-customization-variable CLOSE_QUOTE_SYMBOL=\" \
		--set-customization-variable OPEN_QUOTE_SYMBOL=\" \
		--html --css-include style.css \
		--set-customization-variable SHOW_TITLE=0 \
		--set-customization-variable DATE_IN_HEADER=1 \
		--output nncp.info index.texi
	mv doc/nncp.info.html doc/nncp.html


override_dh_installman:
	dh_installman
	for FILE in `cd debian/nncp/usr/bin && echo *`; do \
		ln -s nncp.1.gz "debian/nncp/usr/share/man/man1/$$FILE.1.gz"; done

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/nncp.1 doc/*.info doc/*.plantuml.txt doc/*.html

# dwz generates errors for the go-built executables
override_dh_dwz:
	true

# Build was failing on 32-bit arm, timing out.
override_dh_auto_test:
	dh_auto_test -- -timeout 1800s

## nncp 8.5.0

=== debian/changelog ===
nncp (8.5.0-1ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Mon, 18 Nov 2024 23:54:29 +0000

nncp (8.5.0-1) unstable; urgency=medium

  * New upstream release.  Features integrated Yggdrasil node.
  * Fix the info inclusion in deb.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 16 Feb 2022 08:33:23 -0600

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,32 @@
 Source: nncp
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: John Goerzen <jgoerzen@complete.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12), pandoc, texinfo, plantuml,
-               dh-golang (>= 1.50),
-               golang-go (>= 2:1.14),
+Build-Depends: debhelper-compat (= 13), pandoc, texinfo, plantuml,
+               dh-golang,
+               golang-go,
                golang-github-davecgh-go-xdr-dev,
-               golang-github-dustin-go-humanize-dev (>= 1.0.0),
-               golang-github-fsnotify-fsnotify-dev (>= 1.4.9),
+               golang-github-dustin-go-humanize-dev,
+               golang-github-fsnotify-fsnotify-dev,
                golang-github-flynn-noise-dev,
                golang-github-gorhill-cronexpr-dev,
                golang-github-hjson-hjson-go-dev,
-               golang-github-klauspost-compress-dev (>= 1.13.6),
+               golang-github-klauspost-compress-dev,
                golang-go.cypherpunks-balloon-dev,
                golang-go.cypherpunks-recfile-dev,
-               golang-golang-x-crypto-dev (>= 1:0.0~git20201016),
-               golang-golang-x-net-dev (>= 1:0.0~git20210119),
-               golang-golang-x-sys-dev (>= 0.0~git20210124),
-               golang-golang-x-term-dev (>= 0.0~git20201210),
-               golang-lukechampine-blake3-dev
+               golang-golang-x-crypto-dev,
+               golang-golang-x-net-dev,
+               golang-golang-x-sys-dev,
+               golang-golang-x-term-dev,
+               golang-lukechampine-blake3-dev,
+               golang-github-google-btree-dev,
+               golang-github-gologme-log-dev,
+               golang-github-yggdrasil-network-yggdrasil-go-dev,
+               golang-golang-x-time-dev,
+               golang-inet-netstack-dev
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/nncp
 Vcs-Git: https://salsa.debian.org/go-team/packages/nncp.git

=== debian/rules ===
--- 
+++ 
@@ -20,12 +20,6 @@
 	pandoc --standalone --to man debian/nncp.1.md -o debian/nncp.1
 	cd doc && plantuml -tutxt -pipe < sp.plantuml > sp.plantuml.txt
 	cd doc && makeinfo -D "VERSION `perl -ne 'print "$$1\n" if /Version.* = "(.*)"$$/' < ../src/nncp.go`" \
-		--set-customization-variable SECTION_NAME_IN_TITLE=1 \
-		--set-customization-variable TREE_TRANSFORMATIONS=complete_tree_nodes_menus \
-		--set-customization-variable CLOSE_QUOTE_SYMBOL=\" \
-		--set-customization-variable OPEN_QUOTE_SYMBOL=\" \
-		--output nncp.info index.texi
-	cd doc && makeinfo -D "VERSION `perl -ne 'print "$$1\n" if /Version.* = "(.*)"$$/' < ../src/nncp.go`" \
 	   	--set-customization-variable SECTION_NAME_IN_TITLE=1 \
 		--set-customization-variable TREE_TRANSFORMATIONS=complete_tree_nodes_menus \
 		--set-customization-variable CLOSE_QUOTE_SYMBOL=\" \
@@ -33,8 +27,13 @@
 		--html --css-include style.css \
 		--set-customization-variable SHOW_TITLE=0 \
 		--set-customization-variable DATE_IN_HEADER=1 \
+		--output nncp.html index.texi
+	cd doc && makeinfo -D "VERSION `perl -ne 'print "$$1\n" if /Version.* = "(.*)"$$/' < ../src/nncp.go`" \
+		--set-customization-variable SECTION_NAME_IN_TITLE=1 \
+		--set-customization-variable TREE_TRANSFORMATIONS=complete_tree_nodes_menus \
+		--set-customization-variable CLOSE_QUOTE_SYMBOL=\" \
+		--set-customization-variable OPEN_QUOTE_SYMBOL=\" \
 		--output nncp.info index.texi
-	mv doc/nncp.info.html doc/nncp.html
 
 
 override_dh_installman:

## nncp 8.7.0

=== ports/nncp/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PORTNAME=	nncp
-DISTVERSION=	7.6.0
+DISTVERSION=	8.7.0
 CATEGORIES=	net
 MASTER_SITES=	http://www.nncpgo.org/download/

=== debian/changelog ===
nncp (8.7.0-1~bpo11+2) bullseye-backports; urgency=medium

  * Note requirement of golang 1.17 or above to build.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 07 Mar 2022 14:58:32 -0600

nncp (8.7.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 04 Mar 2022 18:42:26 -0600

nncp (8.7.0-1) unstable; urgency=medium

  * New upstream release, adds nncp-ack command.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 04 Mar 2022 18:41:26 -0600

## nncp 8.7.2

=== ports/nncp/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PORTNAME=	nncp
-DISTVERSION=	8.7.0
+DISTVERSION=	8.7.1
 CATEGORIES=	net
 MASTER_SITES=	http://www.nncpgo.org/download/

=== debian/changelog ===
nncp (8.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Update cron-daily example to use new nncp-rm capability.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 21 Mar 2022 07:37:06 -0500

nncp (8.7.1-2) unstable; urgency=medium

  * Increase test timeout to 60 minutes for slow mipsel autobuilder.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 12 Mar 2022 08:13:48 -0600

nncp (8.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 10 Mar 2022 10:06:54 -0600

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: nncp
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: John Goerzen <jgoerzen@complete.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13), pandoc, texinfo, plantuml,
                dh-golang,
-               golang-go,
+               golang-go (>= 2:1.17~0),
                golang-github-davecgh-go-xdr-dev,
                golang-github-dustin-go-humanize-dev,
                golang-github-fsnotify-fsnotify-dev,

=== debian/rules ===
--- 
+++ 
@@ -51,5 +51,5 @@
 
 # Build was failing on 32-bit arm, timing out.
 override_dh_auto_test:
-	dh_auto_test -- -timeout 1800s
+	dh_auto_test -- -timeout 3600s

## nncp 8.8.2

=== Makefile ===
REDO ?= contrib/do -c

warning:
	@echo WARNING: this is not real Makefile. Just proxying commands to redo command

all: warning
	$(REDO) $@

clean: warning
	$(REDO) $@

install: warning
	$(REDO) $@

install-strip: warning
	$(REDO) $@

uninstall: warning
	$(REDO) $@

=== debian/changelog ===
nncp (8.8.2-3+deb12u1) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Prevent path traversal during freq/file (CVE-2025-60020)
    (Closes: #1115848)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 24 Sep 2025 12:57:55 +0200

nncp (8.8.2-3) unstable; urgency=medium

  * Apply upstream bugfix to chunk reassembly.
  * Tweak postinst to not generate an error if the nncp user was
    previously created by the user.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 29 Apr 2023 10:25:52 -0500

nncp (8.8.2-2) unstable; urgency=medium

  * Team upload
  * Bump gvisor to 20221219

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 02 Jan 2023 05:32:04 +0800

nncp (8.8.2-1) unstable; urgency=medium

  * New upstream release, which is compatible with
    new Yggdrasil.  Closes: #1022412.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 18 Nov 2022 14:51:40 -0600

nncp (8.8.0-1) unstable; urgency=medium

  * New upstream release.  Now uses gvisor.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 09 Sep 2022 03:47:59 -0500

nncp (8.7.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ John Goerzen ]
  * Use newer inet.af/netstack that builds on go 1.19.  Closes: #1017290.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 09 Sep 2022 03:31:45 -0500

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                golang-github-gologme-log-dev,
                golang-github-yggdrasil-network-yggdrasil-go-dev,
                golang-golang-x-time-dev,
-               golang-inet-netstack-dev
+               golang-gvisor-gvisor-dev (>= 0.0~20221219.0~)
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/nncp
 Vcs-Git: https://salsa.debian.org/go-team/packages/nncp.git
@@ -52,7 +52,7 @@
  .
  NNCP can build up ad-hoc friend-to-friend (F2F) statically routed,
  darknet, delay-tolerant networks for fire-and-forget secure reliable
- files, file requests, Internet mail and commands transmission. All 
+ files, file requests, Internet mail and commands transmission. All
  packets are integrity checked, end-to-end encrypted, explicitly
  authenticated by known participants public keys. Onion encryption is
  applied to relayed packets. Each node acts both as a client and server, can
@@ -60,4 +60,4 @@
  .
  Out-of-box offline sneakernet/floppynet, dead drops, sequential and append-only
  CD-ROM/tape storages, air-gapped computers support. But online TCP daemon with
- full-duplex resumable data transmission exists. 
+ full-duplex resumable data transmission exists.

=== debian/rules ===
--- 
+++ 
@@ -52,4 +52,3 @@
 # Build was failing on 32-bit arm, timing out.
 override_dh_auto_test:
 	dh_auto_test -- -timeout 3600s
-

## nncp 8.10.0

=== debian/changelog ===
nncp (8.10.0-6~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 02 Dec 2023 04:25:52 +0100

nncp (8.10.0-6) unstable; urgency=medium

  * Require newer yggdrasil 0.5.4.
  * Spanish debconf translation from Camaleón.  Closes: #1056220.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 28 Nov 2023 10:53:07 +0100

nncp (8.10.0-5) unstable; urgency=medium

  * German translation of debconf templates thanks to Christoph Brinkhaus.
    Closes: #1055784.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 15 Nov 2023 07:18:33 -0600

nncp (8.10.0-4) unstable; urgency=medium

  * Update yggdrasil build-dep to require 0.5.2.
  * Clarify template wording about the embedded Yggdrasil node.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 08 Nov 2023 05:53:22 -0600

nncp (8.10.0-3) unstable; urgency=medium

  * Add prompt for Yggdrasil update.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 03 Nov 2023 17:27:14 -0500

nncp (8.10.0-2) unstable; urgency=medium

  * Require newer yggdrasil with updated dev dependencies

 -- John Goerzen <jgoerzen@complete.org>  Thu, 02 Nov 2023 22:15:21 -0500

nncp (8.10.0-1) unstable; urgency=medium

  * New upstream release with new dependencies

 -- John Goerzen <jgoerzen@complete.org>  Thu, 02 Nov 2023 07:08:42 -0500

nncp (8.9.0-1) unstable; urgency=medium

  * New upstream release
  * Remove some patches that are now obsolete upstream

 -- John Goerzen <jgoerzen@complete.org>  Fri, 18 Aug 2023 07:14:46 -0500

nncp (8.8.2-4) unstable; urgency=medium

  * Team upload
  * Bump golang-gvisor-gvisor-dev to 0.0~20230807.0

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 11 Aug 2023 15:16:45 +0800

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,16 @@
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13), pandoc, texinfo, plantuml,
+               po-debconf,
                dh-golang,
-               golang-go (>= 2:1.17~0),
+               golang-1.21-go,
+               golang-1.21-src,
                golang-github-davecgh-go-xdr-dev,
                golang-github-dustin-go-humanize-dev,
                golang-github-fsnotify-fsnotify-dev,
                golang-github-flynn-noise-dev,
                golang-github-gorhill-cronexpr-dev,
-               golang-github-hjson-hjson-go-dev,
+               golang-github-hjson-hjson-go-dev (>= 4.3.1-2),
                golang-github-klauspost-compress-dev,
                golang-go.cypherpunks-balloon-dev,
                golang-go.cypherpunks-recfile-dev,
@@ -23,9 +25,9 @@
                golang-lukechampine-blake3-dev,
                golang-github-google-btree-dev,
                golang-github-gologme-log-dev,
-               golang-github-yggdrasil-network-yggdrasil-go-dev,
+               golang-github-yggdrasil-network-yggdrasil-go-dev (>= 0.5.4),
                golang-golang-x-time-dev,
-               golang-gvisor-gvisor-dev (>= 0.0~20221219.0~)
+               golang-gvisor-gvisor-dev (>= 0.0~20230807.0~)
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/nncp
 Vcs-Git: https://salsa.debian.org/go-team/packages/nncp.git

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+# backport
+export PATH:=/usr/lib/go-1.21/bin:$(PATH)
 
 export PREFIX = /usr

## nncp 8.11.0

=== debian/changelog ===
nncp (8.11.0-4+deb13u1) trixie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Prevent path traversal during freq/file (CVE-2025-60020)
    (Closes: #1115848)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 24 Sep 2025 12:39:13 +0200

nncp (8.11.0-4) unstable; urgency=medium

  * Rebuild against newer yggdrasil for dep on newer quic
  * plantuml looks fixed; enabling it again

 -- John Goerzen <jgoerzen@complete.org>  Sat, 05 Apr 2025 12:45:18 -0500

nncp (8.11.0-3) unstable; urgency=medium

  * plantuml is blocking builds again.  Re-remove

 -- John Goerzen <jgoerzen@complete.org>  Thu, 06 Feb 2025 19:11:46 -0600

nncp (8.11.0-2) unstable; urgency=medium

  * Update build-deps to include minimum versions from go.mod and
    current yggdrasil.
  * Pre-depends on debconf

 -- John Goerzen <jgoerzen@complete.org>  Sat, 07 Sep 2024 06:52:04 -0500

nncp (8.11.0-1) unstable; urgency=medium

  * New upstream release
  * Drop bufferv2.diff and addrfromslice.diff patches; included upstream
  * Re-add plantuml docs.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 23 Jul 2024 20:24:19 -0500

nncp (8.10.0-10) unstable; urgency=medium

  * Drop dependency on plantuml due to various issues with plantuml.
  * Add Spanish translation from Camaleón.  Closes: #1065627.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 02 Jun 2024 20:56:56 -0700

nncp (8.10.0-9) unstable; urgency=medium

  * Add a build-dep on default-jre.  This is a workaround for #1068999,
    which is causing nncp to FTBFS during the documentation building
    stage.  This build-dep can be removed once 1068999 is resolved.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 20 Apr 2024 07:41:37 -0500

nncp (8.10.0-8) unstable; urgency=medium

  * Add French and Dutch translations.  Closes: #1058636, #1061986.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 05 Feb 2024 18:42:06 -0600

nncp (8.10.0-7) unstable; urgency=medium

  * Require newer yggdrasil which has a crashing bugfix.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 12 Dec 2023 07:47:03 -0600

=== debian/control ===
--- 
+++ 
@@ -5,38 +5,39 @@
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13), pandoc, texinfo, plantuml,
+               default-jre,
                po-debconf,
                dh-golang,
-               golang-1.21-go,
-               golang-1.21-src,
-               golang-github-davecgh-go-xdr-dev,
-               golang-github-dustin-go-humanize-dev,
-               golang-github-fsnotify-fsnotify-dev,
-               golang-github-flynn-noise-dev,
-               golang-github-gorhill-cronexpr-dev,
-               golang-github-hjson-hjson-go-dev (>= 4.3.1-2),
-               golang-github-klauspost-compress-dev,
-               golang-go.cypherpunks-balloon-dev,
-               golang-go.cypherpunks-recfile-dev,
-               golang-golang-x-crypto-dev,
-               golang-golang-x-net-dev,
-               golang-golang-x-sys-dev,
-               golang-golang-x-term-dev,
-               golang-lukechampine-blake3-dev,
+               golang-go (>= 2:1.22~0),
+               golang-github-davecgh-go-xdr-dev (>= 0.0~git20161123),
+               golang-github-dustin-go-humanize-dev (>= 1.0.1),
+               golang-github-fsnotify-fsnotify-dev (>= 1.7.0),
+               golang-github-flynn-noise-dev (>= 1.1.0),
+               golang-github-gorhill-cronexpr-dev (>= 1.0.0+git20180427),
+               golang-github-hjson-hjson-go-dev (>= 4.4.0),
+               golang-github-klauspost-compress-dev (>= 1.17.9),
+               golang-go.cypherpunks-balloon-dev (>= 1.1.1),
+               golang-go.cypherpunks-recfile-dev (>= 2.0.0),
+               golang-golang-x-crypto-dev (>= 0.25.0),
+               golang-golang-x-net-dev (>= 0.27.0),
+               golang-golang-x-sys-dev (>= 0.22.0),
+               golang-golang-x-term-dev (>= 0.22.0),
+               golang-lukechampine-blake3-dev (>= 1.3.0),
                golang-github-google-btree-dev,
-               golang-github-gologme-log-dev,
-               golang-github-yggdrasil-network-yggdrasil-go-dev (>= 0.5.4),
+               golang-github-gologme-log-dev (>= 1.3.0),
+               golang-github-yggdrasil-network-yggdrasil-go-dev (>= 0.5.12-2),
                golang-golang-x-time-dev,
-               golang-gvisor-gvisor-dev (>= 0.0~20230807.0~)
+               golang-gvisor-gvisor-dev (>= 0.0~20240723.0~)
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/nncp
 Vcs-Git: https://salsa.debian.org/go-team/packages/nncp.git
 Homepage: http://www.nncpgo.org/
 Rules-Requires-Root: no
-XS-Go-Import-Path: go.cypherpunks.ru/nncp/v7
+XS-Go-Import-Path: go.cypherpunks.su/nncp/v8
 
 Package: nncp
 Architecture: any
+Pre-Depends: debconf
 Depends: ${misc:Depends},
          ${shlibs:Depends}, adduser
 Built-Using: ${misc:Built-Using}

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  git://go.cypherpunks.ru/nncp \
  refs/tags/v([\d\.]+) debian

## nncp 8.12.1

=== ports/nncp/Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
 PORTNAME=	nncp
-DISTVERSION=	8.7.1
+DISTVERSION=	8.8.1
 CATEGORIES=	net
 MASTER_SITES=	http://www.nncpgo.org/download/
 
 MAINTAINER=	stargrave@stargrave.org
 COMMENT=	Utilities for secure store-and-forward files, mail, command exchanging
+WWW=		http://www.nncpgo.org/
 
 LICENSE=	GPLv3
 LICENSE_FILE=	${WRKSRC}/COPYING

=== debian/changelog ===
nncp (8.12.1-1) unstable; urgency=high

  * New upstream release.  Fixes CVE-2025-60020.  Closes: #1115848.
  * Updated translation files.  Closes: #1098443, #1102004, #1106326.
  * Updated build-dep on Yggdrasil, fixes FTBFS.  Closes: #1114224.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 24 Sep 2025 06:10:30 -0500

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,10 @@
                golang-github-fsnotify-fsnotify-dev (>= 1.7.0),
                golang-github-flynn-noise-dev (>= 1.1.0),
                golang-github-gorhill-cronexpr-dev (>= 1.0.0+git20180427),
-               golang-github-hjson-hjson-go-dev (>= 4.4.0),
-               golang-github-klauspost-compress-dev (>= 1.17.9),
+               golang-github-hjson-hjson-go-dev (>= 4.5.0),
+               golang-github-klauspost-compress-dev (>= 1.18.0),
                golang-go.cypherpunks-balloon-dev (>= 1.1.1),
-               golang-go.cypherpunks-recfile-dev (>= 2.0.0),
+               golang-go.cypherpunks-recfile-dev (>= 3.1.0),
                golang-golang-x-crypto-dev (>= 0.25.0),
                golang-golang-x-net-dev (>= 0.27.0),
                golang-golang-x-sys-dev (>= 0.22.0),
@@ -25,7 +25,7 @@
                golang-lukechampine-blake3-dev (>= 1.3.0),
                golang-github-google-btree-dev,
                golang-github-gologme-log-dev (>= 1.3.0),
-               golang-github-yggdrasil-network-yggdrasil-go-dev (>= 0.5.12-2),
+               golang-github-yggdrasil-network-yggdrasil-go-dev (>= 0.5.12-4),
                golang-golang-x-time-dev,
                golang-gvisor-gvisor-dev (>= 0.0~20240723.0~)
 Standards-Version: 4.6.0

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-
-# backport
-export PATH:=/usr/lib/go-1.21/bin:$(PATH)
 
 export PREFIX = /usr
 
@@ -14,11 +11,10 @@
 # Fix for the problem of the files being in nncp/v7/src but not looking for
 # them there.
 override_dh_auto_build:
-	#mkdir -p _build/src/go.cypherpunks.ru/nncp/v7
-	#cp -r src/* _build/src/go.cypherpunks.ru/nncp/v7/
-	#ln -s src/uilive _build/src/go.cypherpunks.ru/nncp/v7/uilive
-	mv -vi _build/src/go.cypherpunks.ru/nncp/v7/src/* _build/src/go.cypherpunks.ru/nncp/v7/
-	ln -s v7 _build/src/go.cypherpunks.ru/nncp/v8
+	#mkdir -p _build/src/go.cypherpunks.su/nncp/v7
+	#cp -r src/* _build/src/go.cypherpunks.su/nncp/v7/
+	#ln -s src/uilive _build/src/go.cypherpunks.su/nncp/v7/uilive
+	mv -vi _build/src/go.cypherpunks.su/nncp/v8/src/* _build/src/go.cypherpunks.su/nncp/v8/
 	dh_auto_build
 	pandoc --standalone --to man debian/nncp.1.md -o debian/nncp.1
 	cd doc && plantuml -tutxt -pipe < sp.plantuml > sp.plantuml.txt

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  git://go.cypherpunks.su/nncp \
  refs/tags/v([\d\.]+) debian
